OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepGeom

# StepGeom_Axis2Placement Class Reference

`#include <StepGeom_Axis2Placement.hxx>`

Inheritance diagram for StepGeom_Axis2Placement:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepGeom_Axis2Placement ()
| Returns a Axis2Placement SelectType .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a Axis2Placement Kind Entity that is : 1 -> Axis2Placement2d 2 -> Axis2Placement3d 0 else .
Standard_EXPORT Handle_StepGeom_Axis2Placement2d | Axis2Placement2d () const
| returns Value as a Axis2Placement2d (Null if another type)
Standard_EXPORT Handle_StepGeom_Axis2Placement3d | Axis2Placement3d () const
| returns Value as a Axis2Placement3d (Null if another type)

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_Axis2Placement::StepGeom_Axis2Placement | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepGeom_Axis2Placement2d StepGeom_Axis2Placement::Axis2Placement2d | ( |  | ) | const

Standard_EXPORT Handle_StepGeom_Axis2Placement3d StepGeom_Axis2Placement::Axis2Placement3d | ( |  | ) | const

Standard_EXPORT Standard_Integer StepGeom_Axis2Placement::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

void StepGeom_Axis2Placement::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepGeom_Axis2Placement::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepGeom_Axis2Placement::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

The documentation for this class was generated from the following file:

- StepGeom_Axis2Placement.hxx